.hero {
    height: 80vh;
    display: flex;
    align-items: flex-end;
    overflow: hidden;
    justify-content: space-between;
}

.hero .containerTitle,
.hero .containerImg {
    position: relative;
    z-index: 10;
}

.hero .containerTitle{
    border-top-right-radius: var(--basicRadius);
    max-width: 50%;
}

.hero .containerImg{
    width: 50%;
    display: flex;
    justify-content: flex-end;
    gap: .5em;
    padding: 0 1em 1em 2em;
}

/* Base */
.hero .containerImg img{
    aspect-ratio: 11 / 8;
    border: 4px solid var(--basicWhite);
    object-fit: cover;
    height: auto;
    transition: ease all .3s;
    cursor: pointer;
}

.hero .containerImg img.active{
    border: 4px solid var(--basicColor1);
}


/* CAS 1 : 4 images ou moins */
.hero .containerImg:not(:has(img:nth-child(5))) img{
    width: calc((100% - 3em) / 4);
    flex: 0 0 auto;
}

/* CAS 2 : plus de 4 images */
.hero .containerImg:has(img:nth-child(5)) img{
    flex: 1 1 0;
    min-width: 0;
}


/* START detailsChantier */
.detailsChantier .uniformSpacing{
    display: flex;
    flex-direction: column;
    gap: 3.5em;
}

.detailsChantier .uniformSpacing .details{
    display: flex;
    flex-direction: column;
    gap: 1em;
}

.detailsChantier .uniformSpacing .details div{
    display: flex;
    gap: 1em;
    align-items: center;
}

.detailsChantier .uniformSpacing .details div svg{
    width: 1.25em;
    height: 1.25em;
}

.detailsChantier .uniformSpacing .details div svg *{
    stroke: var(--basicColor1) !important;
}

.detailsChantier .uniformSpacing .listingContainer{
    display: flex;
    flex-wrap: wrap;
    gap: 2.5em 1.75em;
}

.detailsChantier .uniformSpacing .listingContainer .element{
    display: flex;
    gap: 2em;
    width: calc((100% - 1.75em) / 2);
}

.detailsChantier .uniformSpacing .listingContainer .element .icone{
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 1.5em;
    box-shadow: 0px 0px 15px #0000004D;
    border-radius: 100%;
    width: 9em;
    height: auto;
    aspect-ratio: 1 / 1;
}

.detailsChantier .uniformSpacing .listingContainer .element .icone svg{
    width: 100%;
    height: 100%;
}

.detailsChantier .uniformSpacing .listingContainer .element .text{
    display: flex;
    flex-direction: column;
    gap: .5em;
}
/* END detailsChantier */

/* START otherChantier */

.otherChantier .uniformSpacing{
    display: flex;
    flex-direction: column;
    gap: 2em;
}
.otherChantier .listChantier {
    display: flex;
    gap: 1.5em;
}

.otherChantier .listChantier a {
    text-align: center;
    height: 14em;
    position: relative;
}

.otherChantier .listChantier a {
    width: calc((100% - 1.5em * 3) / 4);
}

.otherChantier .listChantier a p {
    position: absolute;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    width: 100%;
    opacity: 0;
    transition: ease all .3s;
}

.otherChantier .listChantier a:hover p{
    opacity: 1;
}

.otherChantier .mainLink {
    padding-top: 2em;
}
/* END otherChantier */
